package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding;
import org.eclipse.jdt.internal.compiler.lookup.Binding;
import org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment;

public class AnnotationHolder {
  AnnotationBinding[] annotations;
  
  static org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder storeAnnotations(AnnotationBinding[] annotations, AnnotationBinding[][] parameterAnnotations, Object defaultValue, LookupEnvironment optionalEnv) {
    if (parameterAnnotations != null) {
      boolean isEmpty = true;
      for (int i = parameterAnnotations.length; isEmpty && --i >= 0;) {
        if (parameterAnnotations[i] != null && (parameterAnnotations[i]).length > 0)
          isEmpty = false; 
      } 
      if (isEmpty)
        parameterAnnotations = null; 
    } 
    if (defaultValue != null)
      return (org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder)new AnnotationMethodHolder(annotations, parameterAnnotations, defaultValue, optionalEnv); 
    if (parameterAnnotations != null)
      return (org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder)new MethodHolder(annotations, parameterAnnotations); 
    return (new org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder()).setAnnotations(annotations);
  }
  
  AnnotationBinding[] getAnnotations() {
    return this.annotations;
  }
  
  Object getDefaultValue() {
    return null;
  }
  
  public AnnotationBinding[][] getParameterAnnotations() {
    return null;
  }
  
  AnnotationBinding[] getParameterAnnotations(int paramIndex) {
    return Binding.NO_ANNOTATIONS;
  }
  
  org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder setAnnotations(AnnotationBinding[] annotations) {
    this.annotations = annotations;
    if (annotations == null || annotations.length == 0)
      return null; 
    return this;
  }
}
